Unassign User
curl --request DELETE \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users/{userId}{
"code": 400,
"key": "user_not_assigned",
"message": "User is not assigned",
"details": "User is not assigned to the project",
"request_id": "v-0e9a1b979a80a99053"
}Unassign User
Unassigns the user from the project. If the user is currently logged in, they are automatically logged out. If the user is assigned to only one project, they cannot be unassigned from that project.
DELETE
/
management
/
v1
/
projects
/
{projectId}
/
users
/
{userId}
Unassign User
curl --request DELETE \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users/{userId}{
"code": 400,
"key": "user_not_assigned",
"message": "User is not assigned",
"details": "User is not assigned to the project",
"request_id": "v-0e9a1b979a80a99053"
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Provide the unique identifier of the user. Alternatively, provide the user's login.
Example:
"user_v18mvPOjOXE5733eO4cAz8k1pn492wKK"
Response
Returns no content if the user has been successfully unnassigned.
Last modified on April 14, 2026
Was this page helpful?
⌘I

